Bug 1143860 - Marshaling issue in fencing policy using jsonrpc
Summary: Marshaling issue in fencing policy using jsonrpc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-09-18 07:32 UTC by Oved Ourfali
Modified: 2016-02-10 19:32 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:39:26 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33034 master MERGED fence: Fix description and JSONRPC marshalling for fenceNode API Never
oVirt gerrit 33035 master MERGED core: Fix unmarshalling fenceNode response Never
oVirt gerrit 33072 master MERGED core: wrong param name for fencing policy Never
oVirt gerrit 33138 ovirt-engine-3.5 MERGED core: wrong param name for fencing policy Never
oVirt gerrit 33156 ovirt-3.5 MERGED fence: Fix description and JSONRPC marshalling for fenceNode API Never
oVirt gerrit 33169 master MERGED packaging: jsonrpc version update Never
oVirt gerrit 33175 ovirt-engine-3.5 MERGED packaging: jsonrpc version update Never

Description Oved Ourfali 2014-09-18 07:32:33 UTC
Description of problem:
The storage-related fencing policy doesn't work well when using jsonrpc communication with the hosts.

Comment 1 sefi litmanovich 2014-10-14 12:54:17 UTC
Verified with rhevm-3.5.0-0.14.beta.el6ev.noarch.
Cluster fencing policy feature is back to normal and working well on vt5.

Tested several scenarios from other bugs and from test plan 15144

Comment 2 Sandro Bonazzola 2014-10-17 12:39:26 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.